Skip to main content

Get Deposit Address

Get Deposit Address

Endpoint: POST /getDepositAddress

Description: Retrieves an L1 address for a user to deposit into on the specified network.

Request Parameters:

ParameterTypeRequiredDescription
networkNetworkSymbolYesL1 network (e.g., ETH)
identifierstringYesUserID or similar identifier
referenceIdstringNoOptional reference ID to identify the deposit order

Response:

{
"address": "string",
"identifier": "string"
}

Get Deposit Address With Requested Value

Endpoint: POST /getDepositAddressWithRequestedValue

Description: Retrieves an L1 address with a requested value. The first deposit matching the requested value triggers the referenceId. Other deposits trigger callbacks without the referenceId.

Request Parameters:

ParameterTypeRequiredDescription
networkNetworkSymbolYesL1 network (e.g., ETH)
identifierstringYesUserID or similar identifier
referenceIdstringYesReference ID to identify the deposit order
requestedCurrencyCurrencyYesRequested currency (e.g., USDT, USDC, USD)
requestedAmountstringYesRequested amount (as a string to avoid precision issues)
tokenTokenSymbolNoOptional token symbol (e.g., USDT)
markupPercentagenumberNoMark up percentage to be applied on the exchange rate (min: -100, max: 100)

Response:

{
"address": "string",
"identifier": "string",
"referenceId": "string",
"requestedAmount": "string",
"requestedCurrency": "string",
"network": "string",
"token": "string",
"exchangeRate": "string",
"amount": "string"
}